import React from 'react';
import { ToggleInputLabelProps, ToggleInputSubLabelProps } from './types';
export declare const ToggleInput: React.ForwardRefExoticComponent<Omit<Pick<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof React.InputHTMLAttributes<HTMLInputElement>>, "className" | "id" | "children"> & {
    id: string | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export declare const ToggleInputLabel: ({ metadata, inputId, label, disabled, tooltipContent, tooltipMouseOutDelay, tone, icon, }: ToggleInputLabelProps) => JSX.Element;
export declare const ToggleInputSubLabel: ({ inputId, subLabel, disabled, metadata, }: ToggleInputSubLabelProps) => JSX.Element;
