[![npm](https://img.shields.io/npm/v/@highlight-ui/toggle-input)](https://www.npmjs.com/package/@highlight-ui/toggle-input)

# @highlight-ui/toggle-input

The ToggleInput is used to control the shared logic between the `Checkbox` and `RadioButton` components.

For this reason, we refer you to the documentation of these two components and we do not recommend the custom use of this component.

- [Checkbox](https://gitlab.personio-internal.de/personio/platform/highlight-ui/-/blob/master/packages/ui/checkbox/README.md)
- [Radio Button](https://gitlab.personio-internal.de/personio/platform/highlight-ui/-/blob/master/packages/ui/radio-button/README.md)

## Installation

Using npm:

```bash
npm install @highlight-ui/toggle-input
```

Using yarn:

```bash
yarn add @highlight-ui/toggle-input
```

Using pnpm:

```bash
pnpm install @highlight-ui/toggle-input
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/toggle-input');
```

Once the package is installed, you can import the library:

```tsx
import { ToggleInput } from '@highlight-ui/toggle-input';
```

## Contributing 🖌️

If you're interested in contributing, please visit our [contribution page](https://www.personio.design/40d648a47/v/0/p/138faf-about-the-process).
